summarylogtreecommitdiffstats
path: root/distcc.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'distcc.sh.in')
-rw-r--r--distcc.sh.in46
1 files changed, 46 insertions, 0 deletions
diff --git a/distcc.sh.in b/distcc.sh.in
new file mode 100644
index 000000000000..248445ab9e23
--- /dev/null
+++ b/distcc.sh.in
@@ -0,0 +1,46 @@
+#!/usr/bin/bash
+#
+# distcc.sh - Distribute compliation to reduce compilation time
+#
+# Copyright (c) 2008-2016 Pacman Development Team <pacman-dev@archlinux.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[[ -n "$LIBMAKEPKG_CCACHE_SH" ]] && return
+LIBMAKEPKG_CCACHE_SH=1
+
+LIBRARY=${LIBRARY:-'@libmakepkgdir@'}
+
+source "$LIBRARY/util/message.sh"
+source "$LIBRARY/util/option.sh"
+
+build_options+=('distcc')
+extra_buildopts+=('distcc')
+
+distcc() {
+ if check_buildoption "distcc" "y"; then
+ if ! type -p distcc >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for distributed compilation.")" "distcc"
+ return 1
+ fi
+ if (( ccache )); then
+ export CCACHE_PREFIX="${CCACHE_PREFIX:+$CCACHE_PREFIX }distcc"
+ export CCACHE_BASEDIR="$srcdir"
+ elif [[ -d /usr/lib/distcc/bin ]]; then
+ export PATH="/usr/lib/distcc/bin:$PATH"
+ fi
+ export DISTCC_HOSTS
+ fi
+}